package com.ghy.worker.mapper;

import com.ghy.worker.domain.WorkerGoodsCategory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 师傅服务类目Mapper
 *
 * @author HH 2022/6/7
 */
public interface WorkerGoodsCategoryMapper {

    int insert(WorkerGoodsCategory workerGoodsCategory);

    int batchInsert(@Param("workerCategories") List<WorkerGoodsCategory> workerGoodsCategories);

    int delete(Long[] ids);

    int deleteByWorker(Long workerId);

    List<WorkerGoodsCategory> getByWorker(Long workerId);

    List<WorkerGoodsCategory> getWorkerGoodsCategory(WorkerGoodsCategory workerGoodsCategory);
}
